org.hibernate.search.hcore.impl

## Class HibernateSearchSessionFactoryObserver

- java.lang.Object
- - org.hibernate.search.hcore.impl.HibernateSearchSessionFactoryObserver

- All Implemented Interfaces:
    Serializable, SessionFactoryObserver

      public class HibernateSearchSessionFactoryObserver
      extends Object
      implements SessionFactoryObserver

  A `SessionFactoryObserver` registered with Hibernate ORM during the integration phase. This observer will create the Search factory once the `SessionFactory` is built.
  Author:
    Hardy Ferentschik
  See Also:
    `HibernateSearchIntegrator`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HibernateSearchSessionFactoryObserver(Metadata metadata, ConfigurationService configurationService, FullTextIndexEventListener listener, ClassLoaderService classLoaderService, EnvironmentSynchronizer environmentSynchronizer, BeanResolver beanResolver, JndiService namingService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sessionFactoryClosed(SessionFactory factory)`
    `void` | `sessionFactoryClosing(SessionFactory factory)`
    `void` | `sessionFactoryCreated(SessionFactory factory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HibernateSearchSessionFactoryObserver

          public HibernateSearchSessionFactoryObserver(Metadata metadata,
                                                       ConfigurationService configurationService,
                                                       FullTextIndexEventListener listener,
                                                       ClassLoaderService classLoaderService,
                                                       EnvironmentSynchronizer environmentSynchronizer,
                                                       BeanResolver beanResolver,
                                                       JndiService namingService)

  - ### Method Detail

    - #### sessionFactoryCreated

          public void sessionFactoryCreated(SessionFactory factory)

      Specified by:
        `sessionFactoryCreated` in interface `SessionFactoryObserver`

    - #### sessionFactoryClosing

          public void sessionFactoryClosing(SessionFactory factory)

      Specified by:
        `sessionFactoryClosing` in interface `SessionFactoryObserver`

    - #### sessionFactoryClosed

          public void sessionFactoryClosed(SessionFactory factory)

      Specified by:
        `sessionFactoryClosed` in interface `SessionFactoryObserver`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved